> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Reimbursement



## OpenAPI

````yaml /api/openapi-finindex.json post /api/v1/reimbursements
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/reimbursements:
    post:
      tags:
        - Reimbursements
      summary: Create Reimbursement
      operationId: create_reimbursement_api_v1_reimbursements_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReimbursementCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReimbursementResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ReimbursementCreate:
      properties:
        expenseClaimId:
          type: string
          title: Expenseclaimid
        amount:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Amount
        reimbursementDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Reimbursementdate
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        sourceAccountKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourceaccountkey
        reimbursementNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Reimbursementnumber
        employeeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Employeeid
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - expenseClaimId
      title: ReimbursementCreate
    ReimbursementResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        reimbursementNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Reimbursementnumber
        expenseClaimId:
          anyOf:
            - type: string
            - type: 'null'
          title: Expenseclaimid
        employeeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Employeeid
        reimbursementDate:
          type: string
          format: date
          title: Reimbursementdate
        method:
          type: string
          title: Method
        sourceAccountKey:
          type: string
          title: Sourceaccountkey
        currency:
          type: string
          title: Currency
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        status:
          type: string
          title: Status
        glPosted:
          type: boolean
          title: Glposted
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - id
        - orgId
        - reimbursementDate
        - method
        - sourceAccountKey
        - currency
        - amount
        - status
        - glPosted
      title: ReimbursementResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````